Main Content

이 페이지의 최신 내용은 아직 번역되지 않았습니다. 최신 내용은 영문으로 볼 수 있습니다.

시스템 및 구성 요구 사항

Python 버전 지원

MATLAB®에서 Python® 모듈을 호출하려면 지원되는 버전의 참조 구현(CPython)이 시스템에 설치되어 있어야 합니다. MATLAB은 버전 2.7, 3.6 및 3.7을 지원합니다.

시스템에 지원되는 버전이 설치되어 있는지 확인하려면 pyenv 함수를 사용하십시오. pyenv에 의해 설정된 값은 MATLAB 세션 간에 지속적으로 유지됩니다. 지원되는 버전이 여러 개 설치되어 있으면 pyenv를 사용하여 MATLAB에서 사용되는 디폴트 버전을 표시하십시오.

단일 MATLAB 세션에서 Python 버전 간에 전환할 수 없습니다. 다음과 같이 Python 명령을 입력하면 MATLAB은 자동으로 Python 버전을 선택하여 불러옵니다.

py.funcname

버전을 변경하려면 MATLAB을 다시 시작한 후 새 버전 정보를 사용하여 pyenv을 실행하십시오.

Windows 플랫폼에서 Python 버전 설정하기

Windows® 플랫폼에서 다음 명령 중 하나를 사용하십시오.

pyenv('Version','version')

또는

pyenv('Version','executable')

참고

Python 인터프리터를 다운로드했지만 Windows 레지스트리에 등록하지 않은 경우에는 다음 명령을 사용하십시오.

pyenv('Version','executable')

MacLinux 플랫폼에서 Python 버전 설정하기

버전을 설정하려면 다음을 입력하십시오.

pyenv('Version','executable')

여기서 executable은 Python 실행 파일의 전체 경로입니다.

Windows 플랫폼에서 64비트 버전의 Python 다운로드하기

Python의 아키텍처는 MATLAB의 아키텍처와 일치해야 합니다. 자세한 내용은 지원되는 Python 구현 설치하기 항목을 참조하십시오.

Python 실행 파일 빌드를 위한 요구 사항

Linux®Mac 시스템에서 Python 실행 파일을 빌드하는 경우에는 --enable-shared 옵션을 사용하여 빌드를 구성하십시오.

참고 항목

외부 웹 사이트